Certificates
Alle Operationen rund um Certificates.
Datenmodell
Die Endpoints dieses Moduls arbeiten auf folgender Entität. Die Schema-Referenz listet jedes Feld mit Typ, Validierung und Beziehungen:
| Entität | Schema-ID | Felder | Sequenz | Permissions |
|---|---|---|---|---|
| Certificate | certificate |
9 | — | certificate_* |
Endpoints
| Methode | Pfad | Operation | Beschreibung |
|---|---|---|---|
POST |
/v1/certificates |
Create certificate | Create a new certificate in the active tenant. |
DELETE |
/v1/certificates/{id} |
Delete certificate | Soft delete entity. |
GET |
/v1/certificates/{id} |
Get certificate by id | Fetch a single certificate. |
GET |
/v1/certificates/{id}/linked |
Get linked entities | CodeMeta OS API endpoint. |
GET |
/v1/certificates/{id}/timeline |
Get timeline | CodeMeta OS API endpoint. |
GET |
/v1/certificates/{id}/transitions |
List transitions | CodeMeta OS API endpoint. |
GET |
/v1/certificates |
List certificates | List certificates for the active tenant. |
PATCH |
/v1/certificates/{id} |
Patch certificate | JSON Merge Patch update. |
POST |
/v1/certificates/bulk |
Bulk operation | CodeMeta OS API endpoint. |
POST |
/v1/certificates/{certId}/generate-pdf |
POST /v1/certificates/{certId}/generate-pdf | CodeMeta OS API endpoint. |
POST |
/v1/certificates/{id}/transition |
POST /v1/certificates/{id}/transition | CodeMeta OS API endpoint. |
POST |
/v1/certificates/{id}/transitions/{transitionKey} |
Execute transition | CodeMeta OS API endpoint. |
PUT |
/v1/certificates/{id} |
Replace certificate | Full replace with optimistic locking. |